Update shipment
curl --request PUT \
--url https://api.truecold.io/shipment/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"code": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.truecold.io/shipment/{id}"
payload = {
"code": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.truecold.io/shipment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"emails_to_notify": [
"<string>"
],
"risk_score": 123
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Shipments
Update shipment
PUT
/
shipment
/
{id}
Update shipment
Authorizations
API key for authentication. Contact your administrator to get an API key.
Path Parameters
Shipment ID
Body
application/json
Response
Successfully updated shipment
Shipment entity (API response)
Unique identifier
code code
Account ID
Site ID
Creation timestamp
Soft deletion timestamp
User who soft deleted the record
Last update timestamp
Email address
Risk score
⌘I
